summaryrefslogtreecommitdiffstats
path: root/scripts/switch-branch
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/switch-branch')
-rwxr-xr-xscripts/switch-branch10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/switch-branch b/scripts/switch-branch
new file mode 100755
index 0000000..b2cd407
--- /dev/null
+++ b/scripts/switch-branch
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+mkdir -p config
+
+FILENAME="branch-$1"
+BRANCH="$2"
+echo "$BRANCH" > config/"$FILENAME"
+
+echo "Run ./rebuild to update the source and to compile the selected branch."